{% extends "car_collection/__base.html" %}

{% load static %}

{% block actions %}
<div class="btn-group px-1">
    <a type="button" class="btn btn-secondary" href="{% url 'brand' carmodel.brand.id %}">{{ carmodel.brand.name }}</a>
  </div>
  <div class="btn-group px-1">
    <button type="button" class="btn btn-secondary dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false">{{ carmodel.name }}</button>
  <ul class="dropdown-menu dropdown-menu-dark" aria-labelledby="navbarDropdown">
    <li><a class="dropdown-item" href="{% url 'carmodel_edit' carmodel.id %}">Editer</a></li>
    <li><a class="dropdown-item" href="{% url 'carmodel_delete' carmodel.id %}">Supprimer</a></li>
    </ul>
  </div>
</div>
{% endblock %}

{% block content %}
<div class="card shadow">
  <div class="card-header">
    {{ carmodel.brand }} {{ carmodel.name }}
  </div>
  <div class="card-body">
    <div class="container">
      <div class="row">
        <div class="col">
          <div class="row">
            <img src="{{ carmodel.picture.url }}" style="max-width:800px" />
          </div>
        </div>
        <div class="col">
          <div class="row">Année: {{ carmodel.year }}</div>
          <div class="row">Description: {{ carmodel.description|linebreaks }}</div>
          <div class="row">Vitesse max: {{ carmodel.max_speed }}</div>
          <div class="row">0-100 Km/h: {{ carmodel.acceleration }}</div>
          <div class="row">Puissance: {{ carmodel.horse_power }}</div>
          <div class="row">Couple: {{ carmodel.tork }}</div>
          <div class="row">Poids: {{ carmodel.weight }}</div>
          <div class="row">Moteur: {{ carmodel.motor }}</div>
          <div class="row">Event: {{ carmodel.event|linebreaks }}</div>
          <div class="row">Rang: <img style="max-width:80px" src="{% static carmodel.rank_url %}"/></div>
          <div class="row">Quantité possédée: {{ owned_count }}</div>
          <div class="row">Quantité totale de ce modèle: {{ total_owned_count }}</div>
        </div>
      </div>
    </div>
  </div>
</div>
{% endblock %}
